Page MenuHomeFreeBSD

New port: databases/arangodb33: ArangoDB, 3.3.X series
ClosedPublic

Authored by yuri on Jan 10 2018, 8:12 PM.

Diff Detail

Repository
rP FreeBSD ports repository
Lint
No Linters Available
Unit
No Unit Test Coverage
Build Status
Buildable 14798
Build 14917: arc lint + arc unit

Event Timeline

yuri created this revision.Jan 10 2018, 8:12 PM
yuri edited the summary of this revision. (Show Details)Jan 10 2018, 8:14 PM

You should svn cp

yuri added a comment.Jan 10 2018, 8:42 PM

You should svn cp

Ok. Will do.

yuri updated this revision to Diff 37751.Jan 10 2018, 8:58 PM

svn cp.

Is there a need to have multiple versions? Otherwise not simply upgrade the existing one. Also maybe this could be greatly simplified using slave ports.

yuri added a comment.Jan 10 2018, 9:01 PM

Is there a need to have multiple versions? Otherwise not simply upgrade the existing one. Also maybe this could be greatly simplified using slave ports.

I was going to create databases/arangodb, but the maintainer insisted that 33 is significantly different from 32, and he prefers to keep them like that for now.

yuri added a comment.Jan 10 2018, 9:04 PM
In D13831#290125, @yuri wrote:

I was going to create databases/arangodb, but the maintainer insisted that 33 is significantly different from 32, and he prefers to keep them like that for now.

Also, when I updated 32->33, it failed to start because some special action was required. So it will be bad to force people into one mainline version. In case it will change later, users will suffer such inconveniences.

tcberner added inline comments.Jan 11 2018, 6:15 AM
databases/arangodb33/files/patch-arangod_RestHandler_RestAuthHandler.cpp
1 ↗(On Diff #37752)

^ revert these changes to the patches that change nothing. Nothing is gained from an updated date.

yuri marked an inline comment as done.Jan 11 2018, 7:20 AM
tcberner added inline comments.Jan 15 2018, 6:09 PM
databases/arangodb33/Makefile
22

did you try "cmake:outsource" without "gmake"?

24–25

You could switch this to CMAKE_ON and CMAKE_OFF.

25–27

^

  • this looks like it is using a bundled icu / v8 -- you should generally try to avoid bundled libs if possible.
  • -L${LOCALBASE}/lib and especially -L/usr/lib should not be needed.
yuri updated this revision to Diff 38028.Jan 16 2018, 4:41 AM
yuri marked 3 inline comments as done.

.

databases/arangodb33/Makefile
25–27

I tried to unbundle them, this didn't work. This is a massive project.
The maintainer, who is a long-time maintainer of ArangoDB, branched it, and submitted it this way.
Should I return this item to the maintainer with the request to unbundle?

yuri marked an inline comment as done.Jan 16 2018, 4:41 AM
yuri added inline comments.Jan 16 2018, 5:54 AM
databases/arangodb33/Makefile
22

Just tried without gmake. It still breaks.

yuri marked an inline comment as done.Jan 16 2018, 5:54 AM

Could you update the diff as it does not apply anymore?

databases/arangodb33/Makefile
25–27

If it is too hard, then no.

yuri marked an inline comment as done.Jan 27 2018, 7:57 PM
yuri updated this revision to Diff 38909.EditedFeb 5 2018, 9:31 PM

Update to 3.3.3.
I verified it on 11.1 amd64 and 12-CURRENT amd64.

tcberner accepted this revision.Feb 7 2018, 7:25 AM
This revision is now accepted and ready to land.Feb 7 2018, 7:25 AM
This revision was automatically updated to reflect the committed changes.